From 6091a6c5536f422df652c4a14725de7dd1fc5e0f Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Wed, 30 Dec 2020 20:00:38 +0000
Subject: [PATCH] overlays: Rebuild "upstream" with latest ovmerge

The latest ovmerge drops disabled fragments, causing the "upstream"
overlay to change.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 .../boot/dts/overlays/upstream-overlay.dts    | 38 +++++++------------
 .../dts/overlays/upstream-pi4-overlay.dts     | 28 +-------------
 2 files changed, 15 insertions(+), 51 deletions(-)

--- a/arch/arm/boot/dts/overlays/upstream-overlay.dts
+++ b/arch/arm/boot/dts/overlays/upstream-overlay.dts
@@ -8,96 +8,84 @@
 / {
 	compatible = "brcm,bcm2835";
 	fragment@0 {
-		target = <&cma>;
-		__dormant__ {
-			size = <0x10000000>;
-		};
-	};
-	fragment@1 {
 		target = <&i2c2>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@2 {
+	fragment@1 {
 		target = <&fb>;
 		__overlay__ {
 			status = "disabled";
 		};
 	};
-	fragment@3 {
+	fragment@2 {
 		target = <&pixelvalve0>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@4 {
+	fragment@3 {
 		target = <&pixelvalve1>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@5 {
+	fragment@4 {
 		target = <&pixelvalve2>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@6 {
+	fragment@5 {
 		target = <&hvs>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@7 {
+	fragment@6 {
 		target = <&hdmi>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@8 {
+	fragment@7 {
 		target = <&v3d>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@9 {
+	fragment@8 {
 		target = <&vc4>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@10 {
+	fragment@9 {
 		target = <&clocks>;
 		__overlay__ {
 			claim-clocks = <BCM2835_PLLD_DSI0 BCM2835_PLLD_DSI1 BCM2835_PLLH_AUX BCM2835_PLLH_PIX>;
 		};
 	};
-	fragment@11 {
+	fragment@10 {
 		target = <&vec>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@12 {
+	fragment@11 {
 		target = <&txp>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@13 {
-		target = <&hdmi>;
-		__dormant__ {
-			dmas;
-		};
-	};
-	fragment@14 {
+	fragment@12 {
 		target = <&audio>;
 		__overlay__ {
 			brcm,disable-hdmi;
 		};
 	};
-	fragment@15 {
+	fragment@13 {
 		target = <&usb>;
 		#address-cells = <1>;
 		#size-cells = <1>;
--- a/arch/arm/boot/dts/overlays/upstream-pi4-overlay.dts
+++ b/arch/arm/boot/dts/overlays/upstream-pi4-overlay.dts
@@ -110,42 +110,18 @@
 		};
 	};
 	fragment@17 {
-		target = <&hdmi0>;
-		__dormant__ {
-			dmas;
-		};
-	};
-	fragment@18 {
-		target = <&hdmi1>;
-		__dormant__ {
-			dmas;
-		};
-	};
-	fragment@19 {
 		target = <&audio>;
 		__overlay__ {
 			brcm,disable-hdmi;
 		};
 	};
-	fragment@20 {
+	fragment@18 {
 		target = <&dvp>;
 		__overlay__ {
 			status = "okay";
 		};
 	};
-	fragment@21 {
-		target = <&pixelvalve3>;
-		__dormant__ {
-			status = "okay";
-		};
-	};
-	fragment@22 {
-		target = <&vec>;
-		__dormant__ {
-			status = "okay";
-		};
-	};
-	fragment@23 {
+	fragment@19 {
 		target = <&usb>;
 		#address-cells = <1>;
 		#size-cells = <1>;
